function draw_onto( object, parent_handle )
%DRAW_ONTO Draws the controls onto the parent_handle.  This function needs
%to be called everytime an update happens.
%   This function draws the entire handle onto the handle.  This function
%   needs to be called everytime the back table is updated.  The class will
%   notify when its necessary.

    [~, y] = object.get_bounding_box();

   for i = 1:size(object.drawables, 2)
        for j = 1:size(object.drawables, 1)
            if ~isempty( object.drawables{j, i} )
                p = uipanel('Parent', parent_handle, 'Units', 'pixels', 'Position', [sum(object.column_sizes(1:j-1))+(j-1)*20, y - sum(object.row_sizes(1:i)) - (i-1)*20, 1, 1]);
                object.drawables{j, i}.draw(p);
            end
        end
    end
end
