% Author: Matthew Dawson matthew@mjdsystems.ca
% Organization: McMaster Centre for Software Certification
classdef HierarchicalGrid < handle
    % This class stores a grid containing conditions for the table.
    % It can be used either for the left of top grid.
    
    properties
        grid = {}
        right_most_grid_cells = {}
    end
    
    events
        AddedOuterCell
        RemovedOuterCell
        StructureChanged
    end
    
    methods
        
        %% Data
        %   constructor
        % inputs:
        %   none
        % outputs:
        %   object:Data - created object
        function object = HierarchicalGrid()
            
        end
        
        function width = max_width(object)
            width = object.max_width_impl(object.grid, 1);
        end
        
        function cell = get_cell(object, cell_index)
            cell = object.grid{cell_index};
        end
        
    end
    
    
end
