% Author: Matthew Dawson matthew@mjdsystems.ca
% Organization: McMaster Centre for Software Certification

function delete_cell( object, beneath_cell, the_cell )
%% ADD_CELL Add a cell to the grid.
%   Adds a new cell to the grid, updates relevant information throughout,
%   and sends appropriate update signals.
%assert(false, 'BREAK');
    %% Find Subgrid
    if isempty(beneath_cell)
        subgrid = object;
    else
        subgrid = beneath_cell;
    end
    
    if isempty(beneath_cell) && isempty(the_cell.grid)
        cur_index = object.find_cell_in_list(subgrid.grid, the_cell);
        rmgi = object.find_cell_in_list(object.right_most_grid_cells, the_cell);
        
        subgrid.grid = [subgrid.grid(1:cur_index-1) subgrid.grid(cur_index+1:size(subgrid.grid, 2))];
        
        %For readability, use rmgc.
        rmgc = object.right_most_grid_cells;
        object.right_most_grid_cells = [rmgc(1:rmgi-1) rmgc(rmgi+1:size(rmgc, 2))];
        notify(object, 'RemovedOuterCell', GridSingleCellEventDetails(rmgi))
    else
        assert(false, 'Deal with sub-sub* grids');
    end

    notify(object, 'StructureChanged');

end

